Mailinglist Archive: opensuse-security-announce (28 mails)

< Previous Next >
[security-announce] SUSE-SU-2015:0839-1: important: Security update for DirectFB
SUSE Security Update: Security update for DirectFB
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:0839-1
Rating: important
References: #878345 #878349
Cross-References: CVE-2014-2977 CVE-2014-2978
Affected Products:
SUSE Linux Enterprise Workstation Extension 12
SUSE Linux Enterprise Software Development Kit 12
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Desktop 12
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

DirectFB was updated to fix two security issues.

The following vulnerabilities were fixed:

* CVE-2014-2977: Multiple integer signedness errors could allow remote
attackers to cause a denial of service (crash) and possibly execute
arbitrary code via the Voodoo interface, which triggers a stack-based
buffer overflow.
* CVE-2014-2978: Remote attackers could cause a denial of service (crash)
and possibly execute arbitrary code via the Voodoo interface, which
triggers an out-of-bounds write.


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Workstation Extension 12:

zypper in -t patch SUSE-SLE-WE-12-2015-185=1

- SUSE Linux Enterprise Software Development Kit 12:

zypper in -t patch SUSE-SLE-SDK-12-2015-185=1

- SUSE Linux Enterprise Server 12:

zypper in -t patch SUSE-SLE-SERVER-12-2015-185=1

- SUSE Linux Enterprise Desktop 12:

zypper in -t patch SUSE-SLE-DESKTOP-12-2015-185=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Workstation Extension 12 (x86_64):

libdirectfb-1_7-1-32bit-1.7.1-4.1
libdirectfb-1_7-1-debuginfo-32bit-1.7.1-4.1

- SUSE Linux Enterprise Software Development Kit 12 (ppc64le s390x x86_64):

DirectFB-debuginfo-1.7.1-4.1
DirectFB-debugsource-1.7.1-4.1
DirectFB-devel-1.7.1-4.1
lib++dfb-devel-1.7.1-4.1

- SUSE Linux Enterprise Server 12 (ppc64le s390x x86_64):

DirectFB-1.7.1-4.1
DirectFB-debuginfo-1.7.1-4.1
DirectFB-debugsource-1.7.1-4.1
lib++dfb-1_7-1-1.7.1-4.1
lib++dfb-1_7-1-debuginfo-1.7.1-4.1
libdirectfb-1_7-1-1.7.1-4.1
libdirectfb-1_7-1-debuginfo-1.7.1-4.1

- SUSE Linux Enterprise Desktop 12 (x86_64):

DirectFB-1.7.1-4.1
DirectFB-debuginfo-1.7.1-4.1
DirectFB-debugsource-1.7.1-4.1
lib++dfb-1_7-1-1.7.1-4.1
lib++dfb-1_7-1-debuginfo-1.7.1-4.1
libdirectfb-1_7-1-1.7.1-4.1
libdirectfb-1_7-1-32bit-1.7.1-4.1
libdirectfb-1_7-1-debuginfo-1.7.1-4.1
libdirectfb-1_7-1-debuginfo-32bit-1.7.1-4.1


References:

https://www.suse.com/security/cve/CVE-2014-2977.html
https://www.suse.com/security/cve/CVE-2014-2978.html
https://bugzilla.suse.com/878345
https://bugzilla.suse.com/878349

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages